﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ZXing;
using ZXing.Common;

namespace Read_QRCode_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(HttpPostedFileBase postedFile)
        {
            using (BinaryReader br = new BinaryReader(postedFile.InputStream))
            {
                byte[] bytes = br.ReadBytes(postedFile.ContentLength);
                using (MemoryStream ms = new MemoryStream(bytes))
                {
                    // Create Bitmap from selected file.
                    using (Bitmap bitMap = new Bitmap(ms))
                    {
                        // Read the QRCode.
                        BitmapLuminanceSource source = new BitmapLuminanceSource(bitMap);
                        BinaryBitmap binaryBitmap = new BinaryBitmap(new HybridBinarizer(source));
                        // Reader object accept BinaryBitmap and decode it.
                        Result result = new MultiFormatReader().decode(binaryBitmap);
                        ViewBag.QRText = result.Text;
                    }
                }
            }
            return View();
        }
    }
}